org.mozilla.javascript.jdk15

## Class VMBridge_jdk15

- java.lang.Object
- - org.mozilla.javascript.VMBridge
  - - org.mozilla.javascript.jdk13.VMBridge_jdk13
    - - org.mozilla.javascript.jdk15.VMBridge_jdk15

    public class VMBridge_jdk15
    extends VMBridge_jdk13

### Constructor Summary

Constructors
Constructor and Description
`VMBridge_jdk15()`

### Method Summary

Methods
`java.util.Iterator<?>` `getJavaIterator(Context cx, Scriptable scope, java.lang.Object obj)` If "obj" is a java.util.Iterator or a java.lang.Iterable, return a wrapping as a JavaScript Iterator.
`boolean` `isVarArgs(java.lang.reflect.Member member)` Returns whether or not a given member (method or constructor) has variable arguments.

### Methods inherited from class org.mozilla.javascript.jdk13.VMBridge_jdk13

`getContext, getCurrentThreadClassLoader, getInterfaceProxyHelper, getThreadContextHelper, newInterfaceProxy, setContext, tryToMakeAccessible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VMBridge_jdk15

    public VMBridge_jdk15()
                   throws java.lang.SecurityException,
                          java.lang.InstantiationException

Throws:
  `java.lang.SecurityException`
  `java.lang.InstantiationException`

### Method Detail

#### isVarArgs

    public boolean isVarArgs(java.lang.reflect.Member member)

Description copied from class: `VMBridge`
Returns whether or not a given member (method or constructor) has variable arguments. Variable argument methods have only been supported in Java since JDK 1.5.

Overrides:
  `isVarArgs` in class `VMBridge_jdk13`

#### getJavaIterator

    public java.util.Iterator<?> getJavaIterator(Context cx,
                                        Scriptable scope,
                                        java.lang.Object obj)

If "obj" is a java.util.Iterator or a java.lang.Iterable, return a wrapping as a JavaScript Iterator. Otherwise, return null. This method is in VMBridge since Iterable is a JDK 1.5 addition.

Overrides:
  `getJavaIterator` in class `VMBridge`